
#if !defined(AFX_JAVASCRIPTSYNTAXCOLORER_INCLUDED_)
#define AFX_JAVASCRIPTSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"
#include "SharedStack.h"

class JavaScriptSyntaxColorState
{
public:
	JavaScriptSyntaxColorState();
	JavaScriptSyntaxColorState(JavaScriptSyntaxColorState* original);

	SharedStack<char> stateStack;
	long state;
};

class JavaScriptSyntaxColorer : public AbstractStateSyntaxColorer<JavaScriptSyntaxColorState>
{
public:
	JavaScriptSyntaxColorer();
	
	void parseLine(const char *line, JavaScriptSyntaxColorState &state, int &lineFlags);
};

#endif // AFX_JAVASCRIPTSYNTAXCOLORER_INCLUDED_